{ pkgs ? import <nixpkgs> {} }:

pkgs.mkShell {
  buildInputs = [
    pkgs.xorg.libX11
    pkgs.go
    pkgs.libuiohook
    pkgs.gcc
  ];

  shellHook = ''
    export CGO_ENABLED=1
    export CGO_CFLAGS="-I${pkgs.xorg.libX11.dev}/include"
    export CGO_LDFLAGS="-L${pkgs.xorg.libX11.out}/lib"
 
    export CGO_CFLAGS="''${CGO_CFLAGS} -I${pkgs.libuiohook}/include"
    export CGO_LDFLAGS="''${CGO_LDFLAGS} -L${pkgs.libuiohook}/lib"

  '';
}

